<?php 
class FRMViajeRecoger extends AppFormulario {
	
	protected $_url_traseditar = '/viaje/listado';
	
	public function init() {
		parent::init();
		$objeto = $this->getObjeto();
		$this->setAction('/viaje/editar/contrato/'.$objeto->getContrato().'/ida/'.$objeto->getIda().'/linea/'.$objeto->getLinea());
		$this->_url_traseditar = '/servicio/tareas/id/'.$objeto->getCodigoParaServicio();
		

		// campos
		$contacto = new EFHidden('contacto');
		$this->addElement($contacto);		
		
		$cmp_origenFechaRecogido = new EFFecha('origenFechaRecogido');
		$cmp_origenFechaRecogido->setLabel('Fecha');
		$this->addElement($cmp_origenFechaRecogido);
		
		$cmp_origenHoraRecogido = new EFTexto('origenHoraRecogido');
		$cmp_origenHoraRecogido->setLabel('Hora');
		$this->addElement($cmp_origenHoraRecogido);
		
		
		
		// campos  vista		
		
		
		$this->addElementoVista($cmp_origenFechaRecogido);
		$this->addElementoVista($cmp_origenHoraRecogido);
		
			
		$btGuardar = new EFSubmit('guardar');
		$btGuardar->setValue('Guardar');
		$this->addElement($btGuardar);
		$this->addElementoVista($btGuardar);
		
	}
	
	public function __construct(ServicioViaje $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
	
	}
		
}